[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.AVGChainLen

Average chain length

## Declaration

Source position: contnrs.pp line 389

`public property TFPCustomHashTable.AVGChainLen : Double read GetAVGChainLen;`

## Description

AVGChainLen is the average chain length, i.e. the ratio of elements in the table versus the number of filled slots. Calculating this is an expensive operation.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.LoadFactor |  | Fraction of count versus size
TFPCustomHashTable.MaxChainLength |  | Maximum chain length
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots
TFPCustomHashTable.NumberOfCollisions |  | Number of extra items

Documentation generated on: Feb 26 2014